Skip to main content
`Ctrl`+`K`

# EPSCreate

Creates the `EPS` context.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCreate(MPI_Comm comm,EPS *outeps)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- outeps - location to put the `EPS` context

## Note

The default `EPS` type is `EPSKRYLOVSCHUR`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetUp()`, `EPSSolve()`, `EPSDestroy()`, `EPS`

## Level

beginner

## Location

src/eps/interface/epsbasic.c

## Examples

src/eps/tutorials/ex2.c
src/eps/tutorials/ex46.c
src/eps/tutorials/ex24.c
src/eps/tutorials/ex29.c
src/eps/tutorials/ex18.c
src/eps/tutorials/ex41.c
src/eps/tutorials/ex1.c
src/eps/tutorials/ex12.c
src/eps/tutorials/ex56.c
src/eps/tutorials/ex5.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages